| 1.0.0 API documentation

Functions
trigonometric.hpp File Reference

Core features More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | acos (vec< L, T, Q > const &x)
| Arc cosine. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | acosh (vec< L, T, Q > const &x)
| Arc hyperbolic cosine; returns the non-negative inverse of cosh. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | asin (vec< L, T, Q > const &x)
| Arc sine. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | asinh (vec< L, T, Q > const &x)
| Arc hyperbolic sine; returns the inverse of sinh. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | atan (vec< L, T, Q > const &y, vec< L, T, Q > const &x)
| Arc tangent. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | atan (vec< L, T, Q > const &y_over_x)
| Arc tangent. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | atanh (vec< L, T, Q > const &x)
| Arc hyperbolic tangent; returns the inverse of tanh. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | cos (vec< L, T, Q > const &angle)
| The standard trigonometric cosine function. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | cosh (vec< L, T, Q > const &angle)
| Returns the hyperbolic cosine function, (exp(x) + exp(-x)) / 2. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, T, Q > | degrees (vec< L, T, Q > const &radians)
| Converts radians to degrees and returns the result. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, T, Q > | radians (vec< L, T, Q > const &degrees)
| Converts degrees to radians and returns the result. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | sin (vec< L, T, Q > const &angle)
| The standard trigonometric sine function. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | sinh (vec< L, T, Q > const &angle)
| Returns the hyperbolic sine function, (exp(x) - exp(-x)) / 2. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | tan (vec< L, T, Q > const &angle)
| The standard trigonometric tangent function. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | tanh (vec< L, T, Q > const &angle)
| Returns the hyperbolic tangent function, sinh(angle) / cosh(angle) More...

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.1 Angle and Trigonometry Functions

Definition in file trigonometric.hpp.